summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-07-08 10:14:51 -0700
committerZac Medico <zmedico@gentoo.org>2011-07-08 10:14:51 -0700
commit08c279024c1e2f8924f7d68e278d0423415695ec (patch)
tree725c118a76b5ee50665e373cdb6913bd562d19ae /bin/ebuild-helpers
parentd334784c83f65b75c5b0f12f1b6294e522107ae6 (diff)
downloadportage-08c279024c1e2f8924f7d68e278d0423415695ec.tar.gz
portage-08c279024c1e2f8924f7d68e278d0423415695ec.tar.bz2
portage-08c279024c1e2f8924f7d68e278d0423415695ec.zip
Remove all hasq/useq calls for bug #199722.
Diffstat (limited to 'bin/ebuild-helpers')
-rwxr-xr-xbin/ebuild-helpers/doman6
-rwxr-xr-xbin/ebuild-helpers/prepall4
-rwxr-xr-xbin/ebuild-helpers/prepallman2
-rwxr-xr-xbin/ebuild-helpers/prepinfo2
-rwxr-xr-xbin/ebuild-helpers/prepman2
-rwxr-xr-xbin/ebuild-helpers/prepstrip22
6 files changed, 19 insertions, 19 deletions
diff --git a/bin/ebuild-helpers/doman b/bin/ebuild-helpers/doman
index 11333be4f..51ca055f6 100755
--- a/bin/ebuild-helpers/doman
+++ b/bin/ebuild-helpers/doman
@@ -25,13 +25,13 @@ for x in "$@" ; do
suffix=${x##*.}
# These will be automatically decompressed by ecompressdir.
- if hasq ${suffix} Z gz bz2 ; then
+ if has ${suffix} Z gz bz2 ; then
realname=${x%.*}
suffix=${realname##*.}
fi
- if hasq "${EAPI:-0}" 2 3 || [[ -z ${i18n} ]] \
- && ! hasq "${EAPI:-0}" 0 1 \
+ if has "${EAPI:-0}" 2 3 || [[ -z ${i18n} ]] \
+ && ! has "${EAPI:-0}" 0 1 \
&& [[ $x =~ (.*)\.([a-z][a-z](_[A-Z][A-Z])?)\.(.*) ]]
then
name=${BASH_REMATCH[1]##*/}.${BASH_REMATCH[4]}
diff --git a/bin/ebuild-helpers/prepall b/bin/ebuild-helpers/prepall
index 19db41552..dbed57c4e 100755
--- a/bin/ebuild-helpers/prepall
+++ b/bin/ebuild-helpers/prepall
@@ -4,7 +4,7 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-if hasq chflags $FEATURES ; then
+if has chflags $FEATURES ; then
# Save all the file flags for restoration at the end of prepall.
mtree -c -p "${D}" -k flags > "${T}/bsdflags.mtree"
# Remove all the file flags so that prepall can do anything necessary.
@@ -17,7 +17,7 @@ prepallinfo
prepallstrip
-if hasq chflags $FEATURES ; then
+if has chflags $FEATURES ; then
# Restore all the file flags that were saved at the beginning of prepall.
mtree -U -e -p "${D}" -k flags < "${T}/bsdflags.mtree" &> /dev/null
fi
diff --git a/bin/ebuild-helpers/prepallman b/bin/ebuild-helpers/prepallman
index 574ab6251..a543ecb18 100755
--- a/bin/ebuild-helpers/prepallman
+++ b/bin/ebuild-helpers/prepallman
@@ -5,7 +5,7 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
# replaced by controllable compression in EAPI 4
-hasq "${EAPI}" 0 1 2 3 || exit 0
+has "${EAPI}" 0 1 2 3 || exit 0
ret=0
diff --git a/bin/ebuild-helpers/prepinfo b/bin/ebuild-helpers/prepinfo
index 9552923a3..0d68cc83e 100755
--- a/bin/ebuild-helpers/prepinfo
+++ b/bin/ebuild-helpers/prepinfo
@@ -30,5 +30,5 @@ find "${D}${infodir}" -type d -print0 | while read -r -d $'\0' x ; do
rm -f "${x}"/dir{,.info}{,.gz,.bz2}
done
-hasq "${EAPI}" 0 1 2 3 || exit 0
+has "${EAPI}" 0 1 2 3 || exit 0
exec ecompressdir --queue "${infodir}"
diff --git a/bin/ebuild-helpers/prepman b/bin/ebuild-helpers/prepman
index 346640248..5c0f9f0cc 100755
--- a/bin/ebuild-helpers/prepman
+++ b/bin/ebuild-helpers/prepman
@@ -16,7 +16,7 @@ if [[ ! -d ${mandir} ]] ; then
fi
# replaced by controllable compression in EAPI 4
-hasq "${EAPI}" 0 1 2 3 || exit 0
+has "${EAPI}" 0 1 2 3 || exit 0
shopt -s nullglob
diff --git a/bin/ebuild-helpers/prepstrip b/bin/ebuild-helpers/prepstrip
index 8b18ac0c8..344d41750 100755
--- a/bin/ebuild-helpers/prepstrip
+++ b/bin/ebuild-helpers/prepstrip
@@ -6,12 +6,12 @@ source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
banner=false
SKIP_STRIP=false
-if hasq nostrip ${FEATURES} || \
- hasq strip ${RESTRICT}
+if has nostrip ${FEATURES} || \
+ has strip ${RESTRICT}
then
SKIP_STRIP=true
banner=true
- hasq installsources ${FEATURES} || exit 0
+ has installsources ${FEATURES} || exit 0
fi
STRIP=${STRIP:-${CHOST}-strip}
@@ -25,7 +25,7 @@ export SAFE_STRIP_FLAGS="--strip-unneeded"
export PORTAGE_STRIP_FLAGS=${PORTAGE_STRIP_FLAGS-${SAFE_STRIP_FLAGS} -R .comment}
prepstrip_sources_dir=/usr/src/debug/${CATEGORY}/${PF}
-if hasq installsources ${FEATURES} && ! type -P debugedit >/dev/null ; then
+if has installsources ${FEATURES} && ! type -P debugedit >/dev/null ; then
ewarn "FEATURES=installsources is enabled but the debugedit binary could not"
ewarn "be found. This feature will not work unless debugedit is installed!"
fi
@@ -41,8 +41,8 @@ inode_var_name() {
}
save_elf_sources() {
- hasq installsources ${FEATURES} || return 0
- hasq installsources ${RESTRICT} && return 0
+ has installsources ${FEATURES} || return 0
+ has installsources ${RESTRICT} && return 0
type -P debugedit >/dev/null || return 0
local x=$1
@@ -53,7 +53,7 @@ save_elf_sources() {
}
save_elf_debug() {
- hasq splitdebug ${FEATURES} || return 0
+ has splitdebug ${FEATURES} || return 0
local x=$1
local y="${D}usr/lib/debug/${x:${#D}}.debug"
@@ -90,8 +90,8 @@ save_elf_debug() {
# The existance of the section .symtab tells us that a binary is stripped.
# We want to log already stripped binaries, as this may be a QA violation.
# They prevent us from getting the splitdebug data.
-if ! hasq binchecks ${RESTRICT} && \
- ! hasq strip ${RESTRICT} ; then
+if ! has binchecks ${RESTRICT} && \
+ ! has strip ${RESTRICT} ; then
log=$T/scanelf-already-stripped.log
qa_var="QA_PRESTRIPPED_${ARCH/-/_}"
[[ -n ${!qa_var} ]] && QA_PRESTRIPPED="${!qa_var}"
@@ -173,8 +173,8 @@ do
done
if [[ -s ${T}/debug.sources ]] && \
- hasq installsources ${FEATURES} && \
- ! hasq installsources ${RESTRICT} && \
+ has installsources ${FEATURES} && \
+ ! has installsources ${RESTRICT} && \
type -P debugedit >/dev/null
then
vecho "installsources: rsyncing source files"